/*
Theme Name: Elementra Child Theme
Template: elementra
Theme URI: https://elementra.themerex.net/
Description: Elementra Child Theme
Author: ThemeREX
Author URI: https://themerex.net/
Version: 1.0
Tested up to: 6.7
Requires at least: 5.0
Requires PHP: 7.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: blog, e-commerce, portfolio, grid-layout, one-column, two-columns, three-columns, four-columns, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-logo, custom-menu, editor-style, featured-image-header, featured-images, flexible-header, footer-widgets, full-width-template, microformats, post-formats, sticky-post, theme-options, threaded-comments, translation-ready, block-styles, wide-blocks
Text Domain: elementra
*/
/* =Child-Theme customization starts here
------------------------------------------------------------ */
.et_portfolio .trx_addons_columns_wrap {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: -30px;
}

.et_portfolio .trx_addons_columns_wrap > * {
  margin-bottom: 30px;
}

.et_portfolio .et_portfolio_item {
  padding: 25px;
  border-radius: var(--theme-var-global-border-radius, 0);
  background-color: var(--theme-color-bg_color_2);
  height: 100%;
}

.sc_layouts_popup {
    border-radius: 20px;
}

.et_portfolio .post_featured:not(.post_featured_bg)[class*="hover_"] {
    position: relative;
    display: block;
    margin-bottom: 0;
}

.et_portfolio .post_featured:before {
    content: '';
    padding-bottom: 70%;
    display: block;
}
.et_portfolio .post_featured img {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.sc_portfolio_default .sc_portfolio_details,
.et_portfolio .et_portfolio_content {
  margin-top: 15px;
}

.sc_portfolio_default .sc_portfolio_title,
.et_portfolio .et_portfolio_title {
  margin-bottom: 0;
}

.sc_portfolio_default .sc_portfolio_description,
.et_portfolio .et_portfolio_excerpt {
  font-size: 14px;
  line-height: 1.5;
  margin-top: 10px;
}

.sc_portfolio_default .sc_portfolio_description > *:last-child,
.et_portfolio .et_portfolio_excerpt > *:last-child {
  margin-bottom: 0;
}

.et_portfolio .et_portfolio_filter_wrap {
  margin-bottom: 50px;
}

.et_portfolio .et_portfolio_filter {
  margin-bottom: 15px;
}

.et_portfolio .et_portfolio_filter,
.et_portfolio .et_portfolio_subfilter {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px 15px;
}

.et_portfolio .et_portfolio_filter_wrap a {
  color: var(--theme-color-title);
  font-weight: 500;
}

.et_portfolio .et_portfolio_filter_wrap a:hover,
.et_portfolio .et_portfolio_filter_wrap a.active {
  color: var(--theme-color-link);
}

.et_portfolio .et_portfolio_loader_wrap {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 10000;
}

.et_portfolio .et_portfolio_loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  animation: rotate 1s linear infinite;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.et_portfolio .et_portfolio_loader:before,
.et_portfolio .et_portfolio_loader:after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  inset: 0px;
  border-radius: 50%;
  border: 5px solid #000;
  animation: prixClipFix 2s linear infinite;
}

.et_portfolio .et_portfolio_loader:after {
  inset: 8px;
  transform: rotate3d(90, 90, 0, 180deg);
  border-color: var(--theme-color-link);
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes prixClipFix {
  0% {
    clip-path: polygon(50% 50%, 0 0, 0 0, 0 0, 0 0, 0 0);
  }
  50% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 0, 100% 0, 100% 0);
  }
  75%, 100% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 100% 100%, 100% 100%);
  }
}